org.apache.cassandra.db.partitions

## Class FilteredPartition

- java.lang.Object
- - org.apache.cassandra.db.partitions.AbstractBTreePartition
  - - org.apache.cassandra.db.partitions.ImmutableBTreePartition
    - - org.apache.cassandra.db.partitions.FilteredPartition

All Implemented Interfaces:
  java.lang.Iterable<Row>, Partition

    public class FilteredPartition
    extends ImmutableBTreePartition

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.db.partitions.AbstractBTreePartition

`AbstractBTreePartition.Holder, AbstractBTreePartition.SlicesIterator`

### Field Summary

### Fields inherited from class org.apache.cassandra.db.partitions.ImmutableBTreePartition

`holder`

### Fields inherited from class org.apache.cassandra.db.partitions.AbstractBTreePartition

`EMPTY, metadata, partitionKey`

### Constructor Summary

Constructors
Constructor and Description
`FilteredPartition(RowIterator rows)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static FilteredPartition` `create(RowIterator iterator)` Create a FilteredPartition holding all the rows of the provided iterator.
`RowIterator` `rowIterator()`

### Methods inherited from class org.apache.cassandra.db.partitions.ImmutableBTreePartition

`canHaveShadowedData, create, create, create, create, holder`

### Methods inherited from class org.apache.cassandra.db.partitions.AbstractBTreePartition

`build, build, build, columns, deletionInfo, getRow, hasRows, isEmpty, iterator, lastRow, metadata, partitionKey, partitionLevelDeletion, rowCount, searchIterator, staticRow, stats, toString, unfilteredIterator, unfilteredIterator, unfilteredIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### FilteredPartition

    public FilteredPartition(RowIterator rows)

### Method Detail

#### create

    public static FilteredPartition create(RowIterator iterator)

Create a FilteredPartition holding all the rows of the provided iterator. Warning: Note that this method does not close the provided iterator and it is up to the caller to do so.

#### rowIterator

    public RowIterator rowIterator()